"use strict";
layui.extend({
    common    :   'js/common',
    xmSelect    :   'layui/dist/xm-select',
}).use(['jquery','layer','common','form','xmSelect'],function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    var xmSelect = layui.xmSelect;

    //  页面节点
    var $node = {
        //  取消按钮
        'resetBtn'      :   $('button[type="reset"]')
    };
    $.ajax({
        type: 'GET',
        url: '/permissions/dict/getByCode/deviceFactory',
        success: function (result) {
            deviceFactoryDict.update({data:result.list})
        },
    });
    var deviceFactoryDict = xmSelect.render({
        el: '#factory',
        name: 'deviceFactory',
        layVerify: 'required',
        radio: true,
        clickClose: true,
        prop: {
            name: 'dictValue',
            value: 'dictKey',
        },
        on: function (data) {},
        model: {
            label: {
                type: 'text',
                text: {
                    left: '',
                    right: '',
                    separator: ', ',
                },
            }
        },
    });

    //  初始化事件
    (function(){

        //  提交表单
        layui.form.on("submit(entity_insert_filter)",function(data){
            $.ajax({
                url     :   '/permissions/xq/device/admin/user/add',
                data    :   data.field,
                type    :   'POST',
                success :   function(result){
                    if (result['code'] === "200"){
                        $node.resetBtn.click();
                        parent.location.reload();
                    }else {
                        layer.alert(result['msg']);
                    }
                }
            });
        });

        //  表单校验
        layui.form.verify({
            //  用户名校验
            username: function(value){
                if(!/^[a-zA-Z0-9_\u4e00-\u9fa5\s·]+$/.test(value)){
                    return '用户名不能有特殊字符';
                }
                if(/(^\_)|(\__)|(\_+$)/.test(value)){
                    return '用户名首尾不能出现下划线\'_\'';
                }
                if(/^\d+\d+\d$/.test(value)){
                    // return '用户名不能全为数字';
                    return '用户名不能全为数字';
                }
            },
            //  登陆名
            loginName   :   function(value){

            },
            //  密码校验
            password   : [
                /^[\S]{6,12}$/
                ,'密码必须6到12位,且不能出现空格'
            ],
            //  确认密码
            confirmPwd  :   function(value){
                var oldPassword = $('#old_password').val();
                if (oldPassword !== value){
                    return '与前面输入的密码不一致';
                }
            }
        });

        //  取消按钮
        $node.resetBtn.on('click',function(){
            //  关闭当前页面弹窗
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.close(index);
        });

    })();


});
